spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | List of all members
spot::state_ptr_equal Struct Reference
TωA (Transition-based ω-Automata) » Essential TωA types

An Equivalence Relation for `state*`. More...

`#include <spot/twa/twa.hh>`

Collaboration diagram for spot::state_ptr_equal:

## Public Member Functions
bool | operator() (const state *left, const state *right) const

## Detailed Description

An Equivalence Relation for `state*`.

This is meant to be used as a comparison functor for an `unordered_map` whose key are of type `state*`.

For instance here is how one could declare a map of `state*`.

// Remember how many times each state has been visited.
std::unordered_map<spot::state*, int, spot::state_ptr_hash,
spot::state_ptr_equal> seen;

The documentation for this struct was generated from the following file:

- spot/twa/twa.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.